import { default as React } from 'react';
import { ColumnFilter } from '../Columns/ColumnFilter';

/**
 * Number column filter.
 */
export declare const NumberFilter: ColumnFilter<number, NumberFilterState>;
/**
 * Number filter state.
 */
export interface NumberFilterState {
    /**
     * Filter value.
     */
    value: string;
}
/**
 * Number filter component.
 */
export declare function NumberFilterComponent(): React.JSX.Element;
