import { default as React } from 'react';
import { ColumnFilter } from '../Columns/ColumnFilter';

/**
 * String column filter.
 */
export declare const StringFilter: ColumnFilter<string, StringFilterState>;
/**
 * String filter state.
 */
export interface StringFilterState {
    /**
     * Filter value.
     */
    value: string;
}
/**
 * String filter component.
 */
export declare function StringFilterComponent(): React.JSX.Element;
